$! Configure procedure 
$! (c) Alexey Chupahin  08-NOV-2021
$! 
$!
$!
$! HAVE_JPEG,  HAVE_JPEG_SHARED   -- test for libjpeg  JPEG_LIBRARY_PATH - a path of library to be used
$! HAVE_ZLIB,  HAVE_ZLIB_SHARED  -- test for libz
$!
$ SET NOON
$SET DEF [-]
$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT "Configuring WEBP library"
$WRITE SYS$OUTPUT " "
$! Checking architecture
$DECC = F$SEARCH("SYS$SYSTEM:DECC$COMPILER.EXE") .NES. ""
$ALPHA = F$GETSYI("HW_MODEL") .GE. 1024
$IF F$GETSYI("ARCH_TYPE").EQ.1 THEN CPU = "VAX"
$IF F$GETSYI("ARCH_TYPE").EQ.2 THEN CPU = "Alpha"
$IF F$GETSYI("ARCH_TYPE").EQ.3 THEN CPU = "I64"
$WRITE SYS$OUTPUT "Checking architecture   ...  ", CPU
$OS = F$GETSYI("VERSION")
$WRITE SYS$OUTPUT "Checking OS             ...  OpenVMS ",OS
$SHARED=0
$IF ( (CPU.EQS."Alpha").OR.(CPU.EQS."I64") )
$  THEN
$       SHARED=64
$  ELSE
$       SHARED=32
$ENDIF
$IF (P1.EQS."static") .OR. (P1.EQS."STATIC") THEN SHARED=0
$IF (DECC) THEN $WRITE SYS$OUTPUT  "Compiler		...  DEC C"
$IF (.NOT. DECC) THEN $WRITE SYS$OUTPUT  "BAD compiler" GOTO EXIT
$MMS = F$SEARCH("SYS$SYSTEM:MMS.EXE") .NES. ""
$MMK = F$TYPE(MMK) 
$IF (MMS .OR. (MMK.NES."")) THEN GOTO TEST_LIBRARIES
$! I cant find any make tool
$ WRITE SYS$OUTPUT "Install MMS or MMK"
$GOTO EXIT
$!
$!
$TEST_LIBRARIES:
$!   Setting as MAKE utility one of MMS or MMK. I prefer MMS.
$IF (MMK.NES."") THEN MAKE="MMK"
$IF (MMS) THEN MAKE="MMS"
$WRITE SYS$OUTPUT "Checking build utility	...  ''MAKE'"
$WRITE SYS$OUTPUT " "
$!
$!
$!"Checking for correct zlib library    "
$ DEFINE SYS$ERROR _NLA0:
$ DEFINE SYS$OUTPUT _NLA0:
$ CC/OBJECT=TEST.OBJ/INCLUDE=(ZLIB) SYS$INPUT
      #include <stdlib.h>
      #include <stdio.h>
      #include <zlib.h>
   int main()
     {
        printf("checking version zlib:  %s\n",zlibVersion());
     }
$TMP = $STATUS
$DEASS SYS$ERROR
$DEAS  SYS$OUTPUT
$!WRITE SYS$OUTPUT TMP
$IF (TMP .NE. %X10B90001)
$  THEN
$       HAVE_ZLIB=0
$       ZLIB_SHARED=0
$!       GOTO EXIT
$ENDIF
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$!Testing for shared ZLIB
$COPY SYS$INPUT []OPT.OPT
SYS$SHARE:LIBZSHR/SHARE
$!
$LINK/EXE=TEST TEST,[]OPT/OPT
$TMP = $STATUS
$!DEL ZLIB.OPT;*
$DEAS SYS$ERROR
$DEAS SYS$OUTPUT
$IF (TMP .NE. %X10000001)
$  THEN
$       ZLIB_SHARED=0
$       GOTO NEXT1
$  ELSE
$       HAVE_ZLIB=0
$       ZLIB_SHARED=1
$ENDIF
$IF (ZLIB_SHARED.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct shared zlib library ...   Yes"
$       RUN TEST
$       GOTO NEXT2
$  ELSE
$ENDIF
$!
$NEXT1:
$COPY SYS$INPUT []OPT.OPT
ZLIB:LIBZ/LIB
$!
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$LINK/EXE=TEST TEST,ZLIB:LIBZ/LIB
$TMP = $STATUS
$DEAS  SYS$ERROR
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10000001)
$  THEN
$       HAVE_ZLIB=0
$  ELSE
$       HAVE_ZLIB=1
$ENDIF
$IF (HAVE_ZLIB.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct zlib library ...   Yes"
$       RUN TEST
$  ELSE
$       WRITE SYS$OUTPUT "Checking for correct zlib library ...   No"
$       WRITE SYS$OUTPUT "This is fatal. Please download and install good library from fafner.dyndns.org/~alexey/libsdl/public.html"
$       WRITE SYS$OUTPUT "copy LIBZSHR.EXE to SYS$SHARE if any or stay with static LIBZ.OLB"
$       WRITE SYS$OUTPUT "Do not forget define ZLIB logical to your path where LIBZ.OLB and include files are located"
$       WRITE SYS$OUTPUT ""
$       GOTO EXIT
$ENDIF
$!
$NEXT2:
$!
$!
$!
$!"Checking for correct SDL library"
$ LIBSDL_STATIC=0
$ DEFINE SYS$ERROR _NLA0:
$ DEFINE SYS$OUTPUT _NLA0:
$ CC/OBJECT=TEST.OBJ/INCLUDE=(SDL) SYS$INPUT
#include <stdio.h>
#include <stdlib.h>
#include <SDL.h>

int main(int argc, char *argv[])
{
        SDL_version compiled;

        /* Initialize SDL */
        if ( SDL_Init(0) < 0 ) {
                fprintf(stderr, "Couldn't initialize SDL: %s\n",SDL_GetError());                exit(2);
        }
#ifdef DEBUG
        fprintf(stderr, "SDL initialized\n");
#endif
#if SDL_VERSION_ATLEAST(1, 2, 0)
#else
        printf("This version is too old. Please get newest\n");
        printf("From fafner.dyndns.org/~alexey/libsdl/public.html\n");
        exit(2);
#endif
        printf("checking version libSDL  : %d.%d.%d\n",
                        SDL_Linked_Version()->major,
                        SDL_Linked_Version()->minor,
                        SDL_Linked_Version()->patch);
        SDL_Quit();
        return(0);
}

$TMP = $STATUS
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10B90001)
$  THEN
$       HAVE_LIBSDL=0
$       GOTO NEXT0
$ENDIF
$DEFINE SYS$OUTPUT _NLA0:
$LINK/EXE=TEST TEST,LIBSDL:LIBSDL$SHR/OPT
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10000001)
$  THEN
$       LINK/EXE=TEST TEST,LIBSDL:LIBSDL/OPT
$       TMP = $STATUS
$       IF (TMP .NE. %X10000001)
$         THEN
$               TMP = $STATUS
$               HAVE_LIBSDL=0
$               GOTO NEXT0
$         ELSE
$               LIBSDL_STATIC=1
$       ENDIF
$ENDIF
$!
$RUN TEST
$IF ($STATUS .NE. %X00000001)
$  THEN
$       HAVE_LIBSDL=0
$       GOTO NEXT0
$  ELSE
$        HAVE_LIBSDL=1
$ENDIF
$NEXT0:
$IF (HAVE_LIBSDL.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct libSDL  ...   Yes"
$  ELSE
$       WRITE SYS$OUTPUT "Checking for correct libSDL  ...   No"
$ENDIF
$DEAS SYS$ERROR
$!
$! Checking for JPEG ...
$ DEFINE SYS$OUTPUT _NLA0:
$ CC/OBJECT=TEST.OBJ/INCLUDE=(JPEG) SYS$INPUT
      #include <stdlib.h>
      #include <stdio.h>
      #include <jpeglib.h>
      #include <jversion.h>
   int main()
     {
        printf("checking version jpeg:  %s\n",JVERSION);
        jpeg_quality_scaling(0);
        return 0;
     }
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$!WRITE SYS$OUTPUT TMP
$IF (TMP .NE. %X10B90001)
$  THEN
$       HAVE_JPEG=0
$ENDIF
$DEFINE SYS$OUTPUT _NLA0:
$LINK/EXE=TEST TEST,JPEG:LIBJPEG/OPT
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$!WRITE SYS$OUTPUT TMP
$IF (TMP .NE. %X10000001)
$  THEN
$       HAVE_JPEG=0
$  ELSE
$       HAVE_JPEG=1
$ENDIF
$!
$IF (HAVE_JPEG.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct jpeg library ...   Yes"
$  ELSE
$       WRITE SYS$OUTPUT "Checking for correct jpeg library ...   No"
$       WRITE SYS$OUTPUT "This is fatal.Please download and install good library from fafner.dyndns.org/~alexey/libsdl/public.html"
$       GOTO EXIT
$ENDIF
$RUN TEST
$!
$!"Checking for TIFF library ... "
$ DEFINE SYS$OUTPUT _NLA0:
$ CC/OBJECT=TEST.OBJ/INCLUDE=(TIFF) SYS$INPUT
        #include  <stdlib.h>
        #include  <strings.h>
        #include  <tiffio.h>

    int main()
        {
        if (TIFFGetVersion()==NULL) TIFFClientOpen(NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
        printf("checking version libTIFF:  %s\n",TIFFGetVersion());
        }
$!
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10B90001)
$  THEN
$       HAVE_LIBTIFF=0
$       GOTO NEXT1
$ENDIF
$DEFINE SYS$OUTPUT _NLA0:
$LINK/EXE=TEST TEST,TIFF:LIBTIFF/OPT
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10000001)
$  THEN
$       HAVE_LIBTIFF=0
$       GOTO NEXT1
$ENDIF
$!
$RUN TEST
$IF ($STATUS .NE. %X00000001)
$  THEN
$       HAVE_LIBTIFF=0
$  ELSE
$        HAVE_LIBTIFF=1
$ENDIF
$NEXT1:
$IF (HAVE_LIBTIFF.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct libTIFF ...   Yes"
$  ELSE
$       WRITE SYS$OUTPUT "Checking for correct libTIFF ...   No"
$ENDIF
$!
$!
$!"Checking for libPNG "
$! DEFINE SYS$OUTPUT _NLA0:
$ CC/OBJECT=TEST.OBJ/INCLUDE=(PNG,ZLIB) SYS$INPUT
        #include <stdlib.h>
        #include  <png.h>
        int main()
        {
         png_uint_32 n,n1,n2,n3;
         n=png_access_version_number();
         n3=n%100; n=n/100;
         n2=n%100; n=n/100;
         n1=n%100;
        if ( (n1<=1)&&(n2<2) )
                { printf("checking version  libPNG:  %d.%d.%d\n",n1,n2,n3);
                  printf("This version is too old. Please get newest\n");
                  printf("From fafner.dyndns.org/~alexey/libsdl/public.html\n");
                  exit(2);
                }
        printf("checking version  libPNG:  %d.%d.%d\n",n1,n2,n3);
        }
$!
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10B90001)
$  THEN
$       HAVE_LIBPNG=0
$       GOTO NEXT2
$ENDIF
$DEFINE SYS$OUTPUT _NLA0:
$LINK/EXE=TEST TEST,PNG:LIBPNG/OPT
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$!WRITE SYS$OUTPUT TMP
$IF (TMP .NE. %X10000001)
$  THEN
$       DEFINE SYS$OUTPUT _NLA0:
$       LINK/EXE=TEST TEST,PNG:LIBPNG/LIB,ZLIB:LIBZ/LIB
$       TMP = $STATUS
$       IF (TMP .NE. %X10000001)
$        THEN
$               HAVE_LIBPNG=0
$               GOTO NEXT2
$        ELSE
$               HAVE_LIBPNG=1
$       ENDIF
$  ELSE
$        HAVE_LIBPNG=1
$ENDIF
$!
$RUN TEST
$IF ($STATUS .NE. %X00000001)
$  THEN
$       HAVE_LIBPNG=0
$  ELSE
$       HAVE_LIBPNG=1
$ENDIF
$NEXT2:
$IF (HAVE_LIBPNG.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct  libPNG ...   Yes"
$  ELSE
$       WRITE SYS$OUTPUT "Checking for correct  libPNG ...   No"
$ENDIF
$!
$!
$!
$!"Checking for libGIF "
$ DEFINE SYS$OUTPUT _NLA0:
$ DEFINE SYS$ERROR _NLA0:
$ CC/OBJECT=TEST.OBJ/INCLUDE=(GIF,ZLIB) SYS$INPUT
#include <stdio.h>
#include <stdlib.h>
#include <gif_lib.h>
int
main (void)
{
  printf("checking version  GIF_LIB: %d.%d.%d\n",GIFLIB_MAJOR,GIFLIB_MINOR,GIFLIB_RELEASE);
  return 0;
}
$!
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10B90001)
$  THEN
$       HAVE_LIBGIF=0
$       GOTO NEXT3
$ENDIF
$!DEFINE SYS$OUTPUT _NLA0:
$LINK/EXE=TEST TEST,GIF:LIBGIF/OPT
$TMP = $STATUS
$DEAS  SYS$OUTPUT
$!WRITE SYS$OUTPUT TMP
$IF (TMP .NE. %X10000001)
$  THEN
$       DEFINE SYS$OUTPUT _NLA0:
$       LINK/EXE=TEST TEST,GIF:LIBGIF/LIB,ZLIB:LIBZ/LIB
$       TMP = $STATUS
$       IF (TMP .NE. %X10000001)
$        THEN
$               HAVE_LIBGIF=0
$               GOTO NEXT3
$        ELSE
$               HAVE_LIBGIF=1
$       ENDIF
$  ELSE
$        HAVE_LIBGIF=1
$ENDIF
$!
$RUN TEST
$IF ($STATUS .NE. %X00000001)
$  THEN
$       HAVE_LIBGIF=0
$  ELSE
$       HAVE_LIBGIF=1
$ENDIF
$NEXT3:
$IF (HAVE_LIBGIF.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct  GIF library ...   Yes"
$  ELSE
$       WRITE SYS$OUTPUT "Checking for correct  GIF library ...   No"
$ENDIF
$DEAS SYS$ERROR
$!
$IF (SHARED.EQ.0) 
$ THEN 
$  WRITE SYS$OUTPUT "Build static libraries only"
$ENDIF
$WRITE SYS$OUTPUT "Creating LIBWEBP$DEF.OPT"
$IF (SHARED.GT.0)
$ THEN
$	COPY SYS$INPUT LIBWEBP$SHR.OPT
SYS$SHARE:LIBJPEG$SHR/SHARE
$ ELSE
$	COPY SYS$INPUT LIBWEBP$SHR.OPT
JPEG:LIBJPEG/LIB
$ENDIF
$IF (SHARED.EQ.32)
$  THEN
$	COPY SYS$INPUT LIBWEBP$DEF.OPT
UNIVERSAL = JPEG_ARITAB
UNIVERSAL = JPEG_NATURAL_ORDER
$ ELSE
$COPY SYS$INPUT []LIBWEBP$DEF.OPT
case_sensitive=NO
symbol_vector = (EXUTILGETUINT	= PROCEDURE)
symbol_vector = (EXUTILREADFILETOWEBPDATA	= PROCEDURE)
symbol_vector = (VMS_EXUTILDELCOMMLINEARG	= PROCEDURE)
symbol_vector = (EXUTILINITCOMMANDLINEARGUMENTS	= PROCEDURE)
symbol_vector = (EXUTILGETFLOAT	= PROCEDURE)
symbol_vector = (EXUTILGETINT	= PROCEDURE)
symbol_vector = (EXUTILGETINTS	= PROCEDURE)
symbol_vector = (GETANIMATEDIMAGEVERSIONS	= PROCEDURE)
symbol_vector = (GETDIFFANDPSNR	= PROCEDURE)
symbol_vector = (CLEARANIMATEDIMAGE	= PROCEDURE)
symbol_vector = (READANIMATEDIMAGE	= PROCEDURE)
symbol_vector = (IMGIOUTILSETBINARYMODE	= PROCEDURE)
symbol_vector = (VMS_IMGIOUTILCHECKSIZEARGOVER	= PROCEDURE)
symbol_vector = (IMGIOUTILCOPYPLANE	= PROCEDURE)
symbol_vector = (IMGIOUTILWRITEFILE	= PROCEDURE)
symbol_vector = (IMGIOUTILREADFROMSTDIN	= PROCEDURE)
symbol_vector = (IMGIOUTILREADFILE	= PROCEDURE)
symbol_vector = (WEBPANIMDECODERDELETE	= PROCEDURE)
symbol_vector = (WEBPANIMDECODERGETDEMUXER	= PROCEDURE)
symbol_vector = (WEBPANIMDECODERRESET	= PROCEDURE)
symbol_vector = (WEBPANIMDECODERHASMOREFRAMES	= PROCEDURE)
symbol_vector = (WEBPANIMDECODERGETNEXT	= PROCEDURE)
symbol_vector = (WEBPANIMDECODERGETINFO	= PROCEDURE)
symbol_vector = (WEBPANIMDECODERNEWINTERNAL	= PROCEDURE)
symbol_vector = (VMS_WEBPANIMDECODEROPTINITINT	= PROCEDURE)
symbol_vector = (WEBPGETCOLORPALETTE	= PROCEDURE)
symbol_vector = (WEBPCOPYPLANE	= PROCEDURE)
symbol_vector = (WEBPCOPYPIXELS	= PROCEDURE)
symbol_vector = (WEBPSAFEFREE	= PROCEDURE)
symbol_vector = (WEBPFREE	= PROCEDURE)
symbol_vector = (WEBPSAFEMALLOC	= PROCEDURE)
symbol_vector = (WEBPMALLOC	= PROCEDURE)
symbol_vector = (WEBPSAFECALLOC	= PROCEDURE)
symbol_vector = (WEBPGETDECODERVERSION	= PROCEDURE)
symbol_vector = (VP8CLEAR	= PROCEDURE)
symbol_vector = (VP8SETERROR	= PROCEDURE)
symbol_vector = (VP8INITSCANLINE	= PROCEDURE)
symbol_vector = (VP8DECODEMB	= PROCEDURE)
symbol_vector = (VP8CHECKSIGNATURE	= PROCEDURE)
symbol_vector = (VP8GETHEADERS	= PROCEDURE)
symbol_vector = (VP8DECODE	= PROCEDURE)
symbol_vector = (VP8GETINFO	= PROCEDURE)
symbol_vector = (VP8DELETE	= PROCEDURE)
symbol_vector = (VP8STATUSMESSAGE	= PROCEDURE)
symbol_vector = (VP8STATUS	= PROCEDURE)
symbol_vector = (VP8NEW	= PROCEDURE)
symbol_vector = (VP8INITIOINTERNAL	= PROCEDURE)
symbol_vector = (WEBPGETDEMUXVERSION	= PROCEDURE)
symbol_vector = (WEBPDEMUXRELEASECHUNKITERATOR	= PROCEDURE)
symbol_vector = (WEBPDEMUXPREVCHUNK	= PROCEDURE)
symbol_vector = (WEBPDEMUXNEXTCHUNK	= PROCEDURE)
symbol_vector = (WEBPDEMUXGETCHUNK	= PROCEDURE)
symbol_vector = (WEBPDEMUXRELEASEITERATOR	= PROCEDURE)
symbol_vector = (WEBPDEMUXPREVFRAME	= PROCEDURE)
symbol_vector = (WEBPDEMUXNEXTFRAME	= PROCEDURE)
symbol_vector = (WEBPDEMUXGETFRAME	= PROCEDURE)
symbol_vector = (WEBPDEMUXGETI	= PROCEDURE)
symbol_vector = (WEBPDEMUXDELETE	= PROCEDURE)
symbol_vector = (WEBPDEMUXINTERNAL	= PROCEDURE)
symbol_vector = (WEBPCHECKCROPDIMENSIONS	= PROCEDURE)
symbol_vector = (WEBPIOINITFROMOPTIONS	= PROCEDURE)
symbol_vector = (WEBPPARSEHEADERS	= PROCEDURE)
symbol_vector = (WEBPRESETDECPARAMS	= PROCEDURE)
symbol_vector = (WEBPDECODE	= PROCEDURE)
symbol_vector = (WEBPGETFEATURESINTERNAL	= PROCEDURE)
symbol_vector = (WEBPINITDECODERCONFIGINTERNAL	= PROCEDURE)
symbol_vector = (WEBPGETINFO	= PROCEDURE)
symbol_vector = (WEBPDECODEYUV	= PROCEDURE)
symbol_vector = (WEBPDECODEBGRA	= PROCEDURE)
symbol_vector = (WEBPDECODEBGR	= PROCEDURE)
symbol_vector = (WEBPDECODEARGB	= PROCEDURE)
symbol_vector = (WEBPDECODERGBA	= PROCEDURE)
symbol_vector = (WEBPDECODERGB	= PROCEDURE)
symbol_vector = (WEBPDECODEYUVINTO	= PROCEDURE)
symbol_vector = (WEBPDECODEBGRAINTO	= PROCEDURE)
symbol_vector = (WEBPDECODEBGRINTO	= PROCEDURE)
symbol_vector = (WEBPDECODEARGBINTO	= PROCEDURE)
symbol_vector = (WEBPDECODERGBAINTO	= PROCEDURE)
symbol_vector = (WEBPDECODERGBINTO	= PROCEDURE)
symbol_vector = (WEBPGETWORKERINTERFACE	= PROCEDURE)
symbol_vector = (WEBPSETWORKERINTERFACE	= PROCEDURE)
symbol_vector = (WEBPINITCUSTOMIO	= PROCEDURE)
symbol_vector = (WEBPAVOIDSLOWMEMORY	= PROCEDURE)
symbol_vector = (WEBPCOPYDECBUFFERPIXELS	= PROCEDURE)
symbol_vector = (WEBPGRABDECBUFFER	= PROCEDURE)
symbol_vector = (WEBPCOPYDECBUFFER	= PROCEDURE)
symbol_vector = (WEBPFREEDECBUFFER	= PROCEDURE)
symbol_vector = (WEBPINITDECBUFFERINTERNAL	= PROCEDURE)
symbol_vector = (WEBPFLIPBUFFER	= PROCEDURE)
symbol_vector = (WEBPALLOCATEDECBUFFER	= PROCEDURE)
symbol_vector = (WEBPCONVERTRGBA32TOUV_C	= PROCEDURE)
symbol_vector = (WEBPCONVERTARGBTOUV_C	= PROCEDURE)
symbol_vector = (WEBPINITCONVERTARGBTOYUV	= PROCEDURE)
symbol_vector = (WEBPINITSAMPLERS	= PROCEDURE)
symbol_vector = (WEBPSAMPLERPROCESSPLANE	= PROCEDURE)
symbol_vector = (WEBPINITUPSAMPLERS	= PROCEDURE)
symbol_vector = (WEBPYUV444TORGBA4444_C	= PROCEDURE)
symbol_vector = (WEBPYUV444TOARGB_C	= PROCEDURE)
symbol_vector = (WEBPYUV444TOBGRA_C	= PROCEDURE)
symbol_vector = (WEBPYUV444TORGBA_C	= PROCEDURE)
symbol_vector = (WEBPYUV444TORGB565_C	= PROCEDURE)
symbol_vector = (WEBPYUV444TOBGR_C	= PROCEDURE)
symbol_vector = (WEBPYUV444TORGB_C	= PROCEDURE)
symbol_vector = (WEBPINITYUV444CONVERTERS	= PROCEDURE)
symbol_vector = (WEBPGETLINEPAIRCONVERTER	= PROCEDURE)
symbol_vector = (WEBPMULTROW_C	= PROCEDURE)
symbol_vector = (WEBPMULTARGBROW_C	= PROCEDURE)
symbol_vector = (WEBPINITALPHAPROCESSING	= PROCEDURE)
symbol_vector = (WEBPMULTROWS	= PROCEDURE)
symbol_vector = (WEBPMULTARGBROWS	= PROCEDURE)
symbol_vector = (WEBPRESCALERINIT	= PROCEDURE)
symbol_vector = (WEBPRESCALEREXPORT	= PROCEDURE)
symbol_vector = (WEBPRESCALERIMPORT	= PROCEDURE)
symbol_vector = (WEBPRESCALENEEDEDLINES	= PROCEDURE)
symbol_vector = (WEBPRESCALERGETSCALEDDIMENSIONS	= PROCEDURE)
symbol_vector = (WEBPRESCALERIMPORTROWEXPAND_C	= PROCEDURE)
symbol_vector = (WEBPRESCALERIMPORTROWSHRINK_C	= PROCEDURE)
symbol_vector = (WEBPRESCALEREXPORTROWSHRINK_C	= PROCEDURE)
symbol_vector = (WEBPRESCALEREXPORTROWEXPAND_C	= PROCEDURE)
symbol_vector = (WEBPRESCALERDSPINIT	= PROCEDURE)
symbol_vector = (WEBPRESCALEREXPORTROW	= PROCEDURE)
symbol_vector = (WEBPRESCALERIMPORTROW	= PROCEDURE)
symbol_vector = (VP8BITREADERSETBUFFER	= PROCEDURE)
symbol_vector = (VP8LREADBITS	= PROCEDURE)
symbol_vector = (VP8LDOFILLBITWINDOW	= PROCEDURE)
symbol_vector = (VP8LBITREADERSETBUFFER	= PROCEDURE)
symbol_vector = (VP8LINITBITREADER	= PROCEDURE)
symbol_vector = (VP8LOADFINALBYTES	= PROCEDURE)
symbol_vector = (VP8GETVALUE	= PROCEDURE)
symbol_vector = (VP8GETSIGNEDVALUE	= PROCEDURE)
symbol_vector = (VP8REMAPBITREADER	= PROCEDURE)
symbol_vector = (VP8INITBITREADER	= PROCEDURE)
symbol_vector = (VP8INITFRAME	= PROCEDURE)
symbol_vector = (VP8GETTHREADMETHOD	= PROCEDURE)
symbol_vector = (VP8EXITCRITICAL	= PROCEDURE)
symbol_vector = (VP8ENTERCRITICAL	= PROCEDURE)
symbol_vector = (VP8PROCESSROW	= PROCEDURE)
symbol_vector = (VP8INITDITHERING	= PROCEDURE)
symbol_vector = (VP8INITRANDOM	= PROCEDURE)
symbol_vector = (VP8LCHECKSIGNATURE	= PROCEDURE)
symbol_vector = (VP8LCLEAR	= PROCEDURE)
symbol_vector = (VP8LDECODEIMAGE	= PROCEDURE)
symbol_vector = (VP8LDECODEHEADER	= PROCEDURE)
symbol_vector = (VP8LDECODEALPHAIMAGESTREAM	= PROCEDURE)
symbol_vector = (VP8LDELETE	= PROCEDURE)
symbol_vector = (VP8LNEW	= PROCEDURE)
symbol_vector = (VP8LDECODEALPHAHEADER	= PROCEDURE)
symbol_vector = (VP8LGETINFO	= PROCEDURE)
symbol_vector = (VP8RESETPROBA	= PROCEDURE)
symbol_vector = (VP8PARSEPROBA	= PROCEDURE)
symbol_vector = (VP8PARSEINTRAMODEROW	= PROCEDURE)
symbol_vector = (VP8PARSEQUANT	= PROCEDURE)
symbol_vector = (WEBPDEALLOCATEALPHAMEMORY	= PROCEDURE)
symbol_vector = (VP8DECOMPRESSALPHAROWS	= PROCEDURE)
symbol_vector = (VP8LBUNDLECOLORMAP_C	= PROCEDURE)
symbol_vector = (VP8LBITENTROPYINIT	= PROCEDURE)
symbol_vector = (VP8LCOLLECTCOLORREDTRANSFORMS_C	= PROCEDURE)
symbol_vector = (VMS_VP8LCOLLECTCOLORBLUETRANS_C	= PROCEDURE)
symbol_vector = (VP8LTRANSFORMCOLOR_C	= PROCEDURE)
symbol_vector = (VMS_VP8LSUBTRGREENFRBLUERED_C	= PROCEDURE)
symbol_vector = (VP8LENCDSPINIT	= PROCEDURE)
symbol_vector = (VP8LHISTOGRAMADD	= PROCEDURE)
symbol_vector = (VP8LBITSENTROPYUNREFINED	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR0_C	= PROCEDURE)
symbol_vector = (VP8LCONVERTBGRATORGB565_C	= PROCEDURE)
symbol_vector = (VP8LCONVERTBGRATORGBA4444_C	= PROCEDURE)
symbol_vector = (VP8LCONVERTBGRATOBGR_C	= PROCEDURE)
symbol_vector = (VP8LCONVERTBGRATORGB_C	= PROCEDURE)
symbol_vector = (VP8LCONVERTBGRATORGBA_C	= PROCEDURE)
symbol_vector = (VP8LTRANSFORMCOLORINVERSE_C	= PROCEDURE)
symbol_vector = (VP8LADDGREENTOBLUEANDRED_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR13_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR12_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR11_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR10_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR9_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR8_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR7_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR6_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR5_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR4_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR3_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR2_C	= PROCEDURE)
symbol_vector = (VP8LPREDICTOR1_C	= PROCEDURE)
symbol_vector = (VP8LDSPINIT	= PROCEDURE)
symbol_vector = (VP8LCONVERTFROMBGRA	= PROCEDURE)
symbol_vector = (VP8LINVERSETRANSFORM	= PROCEDURE)
symbol_vector = (VMS_VP8LCOLIINVTRANSFALPHA	= PROCEDURE)
symbol_vector = (VP8DSPINIT	= PROCEDURE)
symbol_vector = (VP8FILTERSINIT	= PROCEDURE)
symbol_vector = (VP8INITCLIPTABLES	= PROCEDURE)
symbol_vector = (VP8LHTREEGROUPSNEW	= PROCEDURE)
symbol_vector = (VP8LBUILDHUFFMANTABLE	= PROCEDURE)
symbol_vector = (VP8LHTREEGROUPSFREE	= PROCEDURE)
symbol_vector = (VP8LCOLORCACHEINIT	= PROCEDURE)
symbol_vector = (VP8LCOLORCACHECOPY	= PROCEDURE)
symbol_vector = (VP8LCOLORCACHECLEAR	= PROCEDURE)
symbol_vector = (WEBPDEQUANTIZELEVELS	= PROCEDURE)
symbol_vector = (KLOG2TABLE	= DATA)
symbol_vector = (KPREFIXENCODECODE	= DATA)
symbol_vector = (KPREFIXENCODEEXTRABITSVALUE	= DATA)
symbol_vector = (KSLOG2TABLE	= DATA)
symbol_vector = (KVP8LOG2RANGE	= DATA)
symbol_vector = (KVP8NEWRANGE	= DATA)
symbol_vector = (VP8KABS0	= DATA)
symbol_vector = (VP8KCLIP1	= DATA)
symbol_vector = (VP8KSCLIP1	= DATA)
symbol_vector = (VP8KSCLIP2	= DATA)
symbol_vector = (WEBPLOGTABLE8BIT	= DATA)
symbol_vector = (VP8GETCPUINFO	= DATA)
symbol_vector = (VP8DITHERCOMBINE8X8	= DATA)
symbol_vector = (VP8HFILTER16	= DATA)
symbol_vector = (VP8HFILTER16I	= DATA)
symbol_vector = (VP8HFILTER8	= DATA)
symbol_vector = (VP8HFILTER8I	= DATA)
symbol_vector = (VP8LADDGREENTOBLUEANDRED	= DATA)
symbol_vector = (VP8LADDVECTOR	= DATA)
symbol_vector = (VP8LADDVECTOREQ	= DATA)
symbol_vector = (VP8LBUNDLECOLORMAP	= DATA)
symbol_vector = (VP8LCOLLECTCOLORBLUETRANSFORMS	= DATA)
symbol_vector = (VP8LCOLLECTCOLORREDTRANSFORMS	= DATA)
symbol_vector = (VP8LCOMBINEDSHANNONENTROPY	= DATA)
symbol_vector = (VP8LCONVERTBGRATOBGR	= DATA)
symbol_vector = (VP8LCONVERTBGRATORGB	= DATA)
symbol_vector = (VP8LCONVERTBGRATORGB565	= DATA)
symbol_vector = (VP8LCONVERTBGRATORGBA	= DATA)
symbol_vector = (VP8LCONVERTBGRATORGBA4444	= DATA)
symbol_vector = (VP8LEXTRACOST	= DATA)
symbol_vector = (VP8LEXTRACOSTCOMBINED	= DATA)
symbol_vector = (VP8LFASTLOG2SLOW	= DATA)
symbol_vector = (VP8LFASTSLOG2SLOW	= DATA)
symbol_vector = (VP8LGETCOMBINEDENTROPYUNREFINED	= DATA)
symbol_vector = (VP8LGETENTROPYUNREFINED	= DATA)
symbol_vector = (VP8LMAPCOLOR32B	= DATA)
symbol_vector = (VP8LMAPCOLOR8B	= DATA)
symbol_vector = (VP8LPREDICTORS	= DATA)
symbol_vector = (VP8LPREDICTORSADD	= DATA)
symbol_vector = (VP8LPREDICTORSADD_C	= DATA)
symbol_vector = (VP8LPREDICTORSSUB	= DATA)
symbol_vector = (VP8LPREDICTORSSUB_C	= DATA)
symbol_vector = (VP8LSUBTRACTGREENFROMBLUEANDRED	= DATA)
symbol_vector = (VP8LTRANSFORMCOLOR	= DATA)
symbol_vector = (VP8LTRANSFORMCOLORINVERSE	= DATA)
symbol_vector = (VP8LVECTORMISMATCH	= DATA)
symbol_vector = (VP8PREDCHROMA8	= DATA)
symbol_vector = (VP8PREDLUMA16	= DATA)
symbol_vector = (VP8PREDLUMA4	= DATA)
symbol_vector = (VP8SIMPLEHFILTER16	= DATA)
symbol_vector = (VP8SIMPLEHFILTER16I	= DATA)
symbol_vector = (VP8SIMPLEVFILTER16	= DATA)
symbol_vector = (VP8SIMPLEVFILTER16I	= DATA)
symbol_vector = (VP8TRANSFORM	= DATA)
symbol_vector = (VP8TRANSFORMAC3	= DATA)
symbol_vector = (VP8TRANSFORMDC	= DATA)
symbol_vector = (VP8TRANSFORMDCUV	= DATA)
symbol_vector = (VP8TRANSFORMUV	= DATA)
symbol_vector = (VP8TRANSFORMWHT	= DATA)
symbol_vector = (VP8VFILTER16	= DATA)
symbol_vector = (VP8VFILTER16I	= DATA)
symbol_vector = (VP8VFILTER8	= DATA)
symbol_vector = (VP8VFILTER8I	= DATA)
symbol_vector = (WEBPALPHAREPLACE	= DATA)
symbol_vector = (WEBPAPPLYALPHAMULTIPLY	= DATA)
symbol_vector = (WEBPAPPLYALPHAMULTIPLY4444	= DATA)
symbol_vector = (WEBPCONVERTARGBTOUV	= DATA)
symbol_vector = (WEBPCONVERTARGBTOY	= DATA)
symbol_vector = (WEBPCONVERTBGR24TOY	= DATA)
symbol_vector = (WEBPCONVERTRGB24TOY	= DATA)
symbol_vector = (WEBPCONVERTRGBA32TOUV	= DATA)
symbol_vector = (WEBPDISPATCHALPHA	= DATA)
symbol_vector = (WEBPDISPATCHALPHATOGREEN	= DATA)
symbol_vector = (WEBPEXTRACTALPHA	= DATA)
symbol_vector = (WEBPEXTRACTGREEN	= DATA)
symbol_vector = (WEBPFILTERS	= DATA)
symbol_vector = (WEBPHASALPHA32B	= DATA)
symbol_vector = (WEBPHASALPHA8B	= DATA)
symbol_vector = (WEBPMULTARGBROW	= DATA)
symbol_vector = (WEBPMULTROW	= DATA)
symbol_vector = (WEBPPACKRGB	= DATA)
symbol_vector = (WEBPRESCALEREXPORTROWEXPAND	= DATA)
symbol_vector = (WEBPRESCALEREXPORTROWSHRINK	= DATA)
symbol_vector = (WEBPRESCALERIMPORTROWEXPAND	= DATA)
symbol_vector = (WEBPRESCALERIMPORTROWSHRINK	= DATA)
symbol_vector = (WEBPSAMPLERS	= DATA)
symbol_vector = (WEBPUNFILTERS	= DATA)
symbol_vector = (WEBPUPSAMPLERS	= DATA)
symbol_vector = (WEBPYUV444CONVERTERS	= DATA)
!
! ### PSECT list extracted from ANIM_DIFF.MAP
!
symbol_vector = (VP8GETCPUINFO = PSECT)
symbol_vector = (VP8DITHERCOMBINE8X8 = PSECT)
symbol_vector = (VP8HFILTER16 = PSECT)
symbol_vector = (VP8HFILTER16I = PSECT)
symbol_vector = (VP8HFILTER8 = PSECT)
symbol_vector = (VP8HFILTER8I = PSECT)
symbol_vector = (VP8LADDGREENTOBLUEANDRED = PSECT)
symbol_vector = (VP8LADDVECTOR = PSECT)
symbol_vector = (VP8LADDVECTOREQ = PSECT)
symbol_vector = (VP8LBUNDLECOLORMAP = PSECT)
symbol_vector = (VP8LCOLLECTCOLORBLUETRANSFORMS = PSECT)
symbol_vector = (VP8LCOLLECTCOLORREDTRANSFORMS = PSECT)
symbol_vector = (VP8LCOMBINEDSHANNONENTROPY = PSECT)
symbol_vector = (VP8LCONVERTBGRATOBGR = PSECT)
symbol_vector = (VP8LCONVERTBGRATORGB = PSECT)
symbol_vector = (VP8LCONVERTBGRATORGB565 = PSECT)
symbol_vector = (VP8LCONVERTBGRATORGBA = PSECT)
symbol_vector = (VP8LCONVERTBGRATORGBA4444 = PSECT)
symbol_vector = (VP8LEXTRACOST = PSECT)
symbol_vector = (VP8LEXTRACOSTCOMBINED = PSECT)
symbol_vector = (VP8LFASTLOG2SLOW = PSECT)
symbol_vector = (VP8LFASTSLOG2SLOW = PSECT)
symbol_vector = (VP8LGETCOMBINEDENTROPYUNREFINED = PSECT)
symbol_vector = (VP8LGETENTROPYUNREFINED = PSECT)
symbol_vector = (VP8LMAPCOLOR32B = PSECT)
symbol_vector = (VP8LMAPCOLOR8B = PSECT)
symbol_vector = (VP8LPREDICTORS = PSECT)
symbol_vector = (VP8LPREDICTORSADD = PSECT)
symbol_vector = (VP8LPREDICTORSADD_C = PSECT)
symbol_vector = (VP8LPREDICTORSSUB = PSECT)
symbol_vector = (VP8LPREDICTORSSUB_C = PSECT)
symbol_vector = (VP8LSUBTRACTGREENFROMBLUEANDRED = PSECT)
symbol_vector = (VP8LTRANSFORMCOLOR = PSECT)
symbol_vector = (VP8LTRANSFORMCOLORINVERSE = PSECT)
symbol_vector = (VP8LVECTORMISMATCH = PSECT)
symbol_vector = (VP8PREDCHROMA8 = PSECT)
symbol_vector = (VP8PREDLUMA16 = PSECT)
symbol_vector = (VP8PREDLUMA4 = PSECT)
symbol_vector = (VP8SIMPLEHFILTER16 = PSECT)
symbol_vector = (VP8SIMPLEHFILTER16I = PSECT)
symbol_vector = (VP8SIMPLEVFILTER16 = PSECT)
symbol_vector = (VP8SIMPLEVFILTER16I = PSECT)
symbol_vector = (VP8TRANSFORM = PSECT)
symbol_vector = (VP8TRANSFORMAC3 = PSECT)
symbol_vector = (VP8TRANSFORMDC = PSECT)
symbol_vector = (VP8TRANSFORMDCUV = PSECT)
symbol_vector = (VP8TRANSFORMUV = PSECT)
symbol_vector = (VP8TRANSFORMWHT = PSECT)
symbol_vector = (VP8VFILTER16 = PSECT)
symbol_vector = (VP8VFILTER16I = PSECT)
symbol_vector = (VP8VFILTER8 = PSECT)
symbol_vector = (VP8VFILTER8I = PSECT)
symbol_vector = (WEBPALPHAREPLACE = PSECT)
symbol_vector = (WEBPAPPLYALPHAMULTIPLY = PSECT)
symbol_vector = (WEBPAPPLYALPHAMULTIPLY4444 = PSECT)
symbol_vector = (WEBPCONVERTARGBTOUV = PSECT)
symbol_vector = (WEBPCONVERTARGBTOY = PSECT)
symbol_vector = (WEBPCONVERTBGR24TOY = PSECT)
symbol_vector = (WEBPCONVERTRGB24TOY = PSECT)
symbol_vector = (WEBPCONVERTRGBA32TOUV = PSECT)
symbol_vector = (WEBPDISPATCHALPHA = PSECT)
symbol_vector = (WEBPDISPATCHALPHATOGREEN = PSECT)
symbol_vector = (WEBPEXTRACTALPHA = PSECT)
symbol_vector = (WEBPEXTRACTGREEN = PSECT)
symbol_vector = (WEBPFILTERS = PSECT)
symbol_vector = (WEBPHASALPHA32B = PSECT)
symbol_vector = (WEBPHASALPHA8B = PSECT)
symbol_vector = (WEBPMULTARGBROW = PSECT)
symbol_vector = (WEBPMULTROW = PSECT)
symbol_vector = (WEBPPACKRGB = PSECT)
symbol_vector = (WEBPRESCALEREXPORTROWEXPAND = PSECT)
symbol_vector = (WEBPRESCALEREXPORTROWSHRINK = PSECT)
symbol_vector = (WEBPRESCALERIMPORTROWEXPAND = PSECT)
symbol_vector = (WEBPRESCALERIMPORTROWSHRINK = PSECT)
symbol_vector = (WEBPSAMPLERS = PSECT)
symbol_vector = (WEBPUNFILTERS = PSECT)
symbol_vector = (WEBPUPSAMPLERS = PSECT)
symbol_vector = (WEBPYUV444CONVERTERS = PSECT)

$ENDIF
$!
$WRITE SYS$OUTPUT "Creating DESCRIP.MMS"
$!
$COPY SYS$INPUT [.IMAGEIO]DESCRIP.MMS
# (c) Alexey Chupahin 05-OCT-2021
# OpenVMS 7.3-2, DEC 2000 mod.300
# OpenVMS 8.3,   Digital PW 600au
# OpenVMS 8.4,   Compaq DS10L
# OpenVMS 8.3,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],[--],WEBP,PNG,JPEG,TIFF) \
          /DEFINE=(HAVE_CONFIG_H,NDEBUG)\
          /OPTIMIZE=(INLINE=SPEED) \
          /WARN=DIS=MACROREDEF 
          
.FIRST
        DEF DEC [-.SRC.DEC]
        DEF DEMUX [-.SRC.DEMUX]
        DEF DSP [-.SRC.DSP]
        DEF ENC [-.SRC.ENC]
        DEF MUX [-.SRC.MUX]
        DEF UTILS [-.SRC.UTILS]
        DEF WEBP [-.SRC.WEBP]

OBJ=\
imageio_util.obj,\
image_dec.obj,\
image_enc.obj,\
jpegdec.obj,\
metadata.obj,\
pngdec.obj,\
pnmdec.obj,\
tiffdec.obj,\
webpdec.obj,\
wicdec.obj

ALL : LIBIMAGEIO.OLB
        $!

LIBIMAGEIO.OLB : $(OBJ)
        LIB/CREA LIBIMAGEIO.OLB $(OBJ)
        COPY LIBIMAGEIO.OLB WEBP:

imageio_util.obj : imageio_util.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

image_dec.obj : image_dec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

image_enc.obj : image_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

jpegdec.obj : jpegdec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

metadata.obj : metadata.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngdec.obj : pngdec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pnmdec.obj : pnmdec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

tiffdec.obj : tiffdec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

webpdec.obj : webpdec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)


$COPY SYS$INPUT [.SHARPYUV]DESCRIP.MMS
# (c) Alexey Chupahin 03-MAR-2023
# OpenVMS 7.3-2, DEC 2000 mod.300
# OpenVMS 8.3,   Digital PW 600au
# OpenVMS 8.4,   Compaq DS10L
# OpenVMS 8.3,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],[-],WEBP,PNG,JPEG,TIFF) \
          /DEFINE=(HAVE_CONFIG_H,NDEBUG)\
          /OPTIMIZE=(INLINE=SPEED) \
          /WARN=DIS=MACROREDEF 
          
.FIRST
        DEF DEC [-.SRC.DEC]
        DEF DEMUX [-.SRC.DEMUX]
        DEF DSP [-.SRC.DSP]
        DEF ENC [-.SRC.ENC]
        DEF MUX [-.SRC.MUX]
        DEF UTILS [-.SRC.UTILS]
        DEF WEBP [-.SRC.WEBP]
        DEF SHARPYUV [-.SHARPYUV]

OBJ=\
sharpyuv.obj,\
sharpyuv_cpu.obj,\
sharpyuv_csp.obj,\
sharpyuv_dsp.obj,\
sharpyuv_gamma.obj

ALL : SHARPYUV.OLB
        COPY SHARPYUV.OLB WEBP:

SHARPYUV.OLB : $(OBJ)
        LIBR/CREA SHARPYUV.OLB $(OBJ)

sharpyuv.obj : sharpyuv.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sharpyuv_cpu.obj : sharpyuv_cpu.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sharpyuv_csp.obj : sharpyuv_csp.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sharpyuv_dsp.obj : sharpyuv_dsp.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sharpyuv_gamma.obj : sharpyuv_gamma.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sharpyuv_neon.obj : sharpyuv_neon.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sharpyuv_sse2.obj : sharpyuv_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
 

$COPY SYS$INPUT [.EXAMPLES]DESCRIP.MMS
# (c) Alexey Chupahin 05-NOV-2021
# OpenVMS 7.3-2, DEC 2000 mod.300
# OpenVMS 8.3,   Digital PW 600au
# OpenVMS 8.4,   Compaq DS10L
# OpenVMS 8.3,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],[-],IMAGEIO,GIF) \
          /DEFINE=(HAVE_CONFIG_H,NDEBUG,"ExUtilDeleteCommandLineArguments"="vms_ExUtilDelCommLineArg")\
          /OPTIMIZE=(INLINE=SPEED) 
          

.FIRST
        DEF DEC [-.SRC.DEC]
        DEF DEMUX [-.SRC.DEMUX]
        DEF DSP [-.SRC.DSP]
        DEF ENC [-.SRC.ENC]
        DEF MUX [-.SRC.MUX]
        DEF UTILS [-.SRC.UTILS]
        DEF WEBP [-.SRC.WEBP]
        DEF IMAGEIO [-.IMAGEIO]
	DEF SHARPYUV [-.SHARPYUV]

OBJ=\
gifdec.obj,\
example_util.obj,\
anim_diff.obj,\
anim_dump.obj,\
anim_util.obj,\
cwebp.obj,\
dwebp.obj,\
gif2webp.obj,\
img2webp.obj,\
vwebp.obj,\
webpinfo.obj,\
webpmux.obj

EXE=\
anim_diff.exe,\
anim_dump.exe,\
cwebp.exe,\
dwebp.exe,\
gif2webp.exe,\
img2webp.exe,\
vwebp.exe,\
webpinfo.exe

ALL : $(OBJ) $(EXE)
        $!

anim_diff.obj : anim_diff.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

anim_diff.exe : anim_diff.obj
        LINK $(MMS$SOURCE),example_util,anim_util,gifdec,WEBP:LIBWEBP/OPT,PNG:LIBPNG/OPT,JPEG:LIBJPEG/OPT,TIFF:LIBTIFF/OPT,GIF:LIBGIF/OPT

anim_dump.obj : anim_dump.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

anim_dump.exe : anim_dump.obj
        LINK $(MMS$SOURCE),example_util,anim_util,gifdec,WEBP:LIBWEBP/OPT,PNG:LIBPNG/OPT,JPEG:LIBJPEG/OPT,TIFF:LIBTIFF/OPT,GIF:LIBGIF/OPT

anim_util.obj : anim_util.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

cwebp.obj : cwebp.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

cwebp.exe : cwebp.obj
        LINK $(MMS$SOURCE),example_util,anim_util,gifdec,WEBP:LIBWEBP/OPT,PNG:LIBPNG/OPT,JPEG:LIBJPEG/OPT,TIFF:LIBTIFF/OPT,GIF:LIBGIF/OPT


dwebp.obj : dwebp.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

dwebp.exe : dwebp.obj
        LINK $(MMS$SOURCE),example_util,anim_util,gifdec,WEBP:LIBWEBP/OPT,PNG:LIBPNG/OPT,JPEG:LIBJPEG/OPT,TIFF:LIBTIFF/OPT,GIF:LIBGIF/OPT

example_util.obj : example_util.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

gif2webp.obj : gif2webp.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

gif2webp.exe : gif2webp.obj
        LINK $(MMS$SOURCE),example_util,anim_util,gifdec,WEBP:LIBWEBP/OPT,PNG:LIBPNG/OPT,JPEG:LIBJPEG/OPT,TIFF:LIBTIFF/OPT,GIF:LIBGIF/OPT

gifdec.obj : gifdec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

gifdec.exe : gifdec.obj
        LINK $(MMS$SOURCE),example_util,anim_util,WEBP:LIBWEBP/OPT,PNG:LIBPNG/OPT,JPEG:LIBJPEG/OPT,TIFF:LIBTIFF/OPT,GIF:LIBGIF/OPT

img2webp.obj : img2webp.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

img2webp.exe : img2webp.obj
        LINK $(MMS$SOURCE),example_util,anim_util,gifdec,WEBP:LIBWEBP/OPT,PNG:LIBPNG/OPT,JPEG:LIBJPEG/OPT,TIFF:LIBTIFF/OPT,GIF:LIBGIF/OPT

vwebp.obj : vwebp.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

vwebp.exe : vwebp.obj
        LINK $(MMS$SOURCE),example_util,anim_util,gifdec,WEBP:LIBWEBP/OPT,PNG:LIBPNG/OPT,JPEG:LIBJPEG/OPT,TIFF:LIBTIFF/OPT,GIF:LIBGIF/OPT

webpinfo.obj : webpinfo.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

webpinfo.exe : webpinfo.obj
        LINK $(MMS$SOURCE),example_util,anim_util,gifdec,WEBP:LIBWEBP/OPT,PNG:LIBPNG/OPT,JPEG:LIBJPEG/OPT,TIFF:LIBTIFF/OPT,GIF:LIBGIF/OPT

webpmux.obj : webpmux.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)



$COPY SYS$INPUT [.SRC.DEC]DESCRIP.MMS

# (c) Alexey Chupahin 05-NOV-2021
# OpenVMS 7.3-2, DEC 2000 mod.300
# OpenVMS 8.3,   Digital PW 600au
# OpenVMS 8.4,   Compaq DS10L
# OpenVMS 8.3,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],[--]) \
          /DEFINE=(HAVE_CONFIG_H,NDEBUG)\
          /OPTIMIZE=(INLINE=SPEED) 
          

.FIRST
        DEF DEC [-.DEC]
        DEF DEMUX [-.DEMUX]
        DEF DSP [-.DSP]
        DEF ENC [-.ENC]
        DEF MUX [-.MUX]
        DEF UTILS [-.UTILS]
        DEF WEBP [-.WEBP]

OBJ=\
alpha_dec.obj,\
buffer_dec.obj,\
frame_dec.obj,\
idec_dec.obj,\
io_dec.obj,\
quant_dec.obj,\
tree_dec.obj,\
vp8l_dec.obj,\
vp8_dec.obj,\
webp_dec.obj

ALL : $(OBJ)
        $!

alpha_dec.obj : alpha_dec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

buffer_dec.obj : buffer_dec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

frame_dec.obj : frame_dec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

idec_dec.obj : idec_dec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

io_dec.obj : io_dec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

quant_dec.obj : quant_dec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

tree_dec.obj : tree_dec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

vp8l_dec.obj : vp8l_dec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

vp8_dec.obj : vp8_dec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

$!
$COPY SYS$INPUT [.SRC.DEMUX]DESCRIP.MMS
# (c) Alexey Chupahin 05-OCT-2021
# OpenVMS 7.3-2, DEC 2000 mod.300
# OpenVMS 8.3,   Digital PW 600au
# OpenVMS 8.4,   Compaq DS10L
# OpenVMS 8.3,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],[--],WEBP) \
          /DEFINE=(HAVE_CONFIG_H,NDEBUG)\
          /OPTIMIZE=(INLINE=SPEED) 
         

.FIRST
        DEF DEC [-.DEC]
        DEF DEMUX [-.DEMUX]
        DEF DSP [-.DSP]
        DEF ENC [-.ENC]
        DEF MUX [-.MUX]
        DEF UTILS [-.UTILS]
        DEF WEBP [-.WEBP]

OBJ=\
anim_decode.obj,\
demux.obj

ALL : $(OBJ)
        $!

anim_decode.obj : anim_decode.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

demux.obj : demux.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)


$COPY SYS$INPUT [.SRC.DSP]DESCRIP.MMS
# (c) Alexey Chupahin 05-NOV-2021
# OpenVMS 7.3-2, DEC 2000 mod.300
# OpenVMS 8.3,   Digital PW 600au
# OpenVMS 8.4,   Compaq DS10L
# OpenVMS 8.3,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],[--],WEBP) \
          /DEFINE=(HAVE_CONFIG_H,NDEBUG)\
          /OPTIMIZE=(INLINE=SPEED) 
          

.FIRST
        DEF DEC [-.DEC]
        DEF DEMUX [-.DEMUX]
        DEF DSP [-.DSP]
        DEF ENC [-.ENC]
        DEF MUX [-.MUX]
        DEF UTILS [-.UTILS]
        DEF WEBP [-.WEBP]


OBJ=\
alpha_processing.obj,\
cost.obj,\
cpu.obj,\
dec.obj,\
dec_clip_tables.obj,\
enc.obj,\
filters.obj,\
lossless.obj,\
lossless_enc.obj,\
rescaler.obj,\
ssim.obj,\
upsampling.obj,\
yuv.obj

ALL : $(OBJ)
        $!

alpha_processing.obj : alpha_processing.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

alpha_processing_mips_dsp_r2.obj : alpha_processing_mips_dsp_r2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

alpha_processing_neon.obj : alpha_processing_neon.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

alpha_processing_sse2.obj : alpha_processing_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

alpha_processing_sse41.obj : alpha_processing_sse41.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

cost.obj : cost.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

cost_mips32.obj : cost_mips32.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

cost_mips_dsp_r2.obj : cost_mips_dsp_r2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

cost_neon.obj : cost_neon.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

cost_sse2.obj : cost_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

cpu.obj : cpu.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

dec.obj : dec.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

dec_clip_tables.obj : dec_clip_tables.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

dec_mips32.obj : dec_mips32.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

dec_mips_dsp_r2.obj : dec_mips_dsp_r2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

dec_msa.obj : dec_msa.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

dec_neon.obj : dec_neon.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

dec_sse2.obj : dec_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

dec_sse41.obj : dec_sse41.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

enc.obj : enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

enc_mips32.obj : enc_mips32.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

enc_mips_dsp_r2.obj : enc_mips_dsp_r2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

enc_msa.obj : enc_msa.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

enc_neon.obj : enc_neon.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

enc_sse2.obj : enc_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

enc_sse41.obj : enc_sse41.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

filters.obj : filters.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

filters_mips_dsp_r2.obj : filters_mips_dsp_r2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

filters_msa.obj : filters_msa.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

filters_neon.obj : filters_neon.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

filters_sse2.obj : filters_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless.obj : lossless.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_enc.obj : lossless_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_enc_mips32.obj : lossless_enc_mips32.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_enc_mips_dsp_r2.obj : lossless_enc_mips_dsp_r2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_enc_msa.obj : lossless_enc_msa.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_enc_neon.obj : lossless_enc_neon.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_enc_sse2.obj : lossless_enc_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_enc_sse41.obj : lossless_enc_sse41.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_mips_dsp_r2.obj : lossless_mips_dsp_r2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_msa.obj : lossless_msa.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_neon.obj : lossless_neon.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_sse2.obj : lossless_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

lossless_sse41.obj : lossless_sse41.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

rescaler.obj : rescaler.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

rescaler_mips32.obj : rescaler_mips32.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

rescaler_mips_dsp_r2.obj : rescaler_mips_dsp_r2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

rescaler_msa.obj : rescaler_msa.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

rescaler_neon.obj : rescaler_neon.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

rescaler_sse2.obj : rescaler_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

ssim.obj : ssim.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

ssim_sse2.obj : ssim_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

upsampling.obj : upsampling.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

upsampling_mips_dsp_r2.obj : upsampling_mips_dsp_r2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

upsampling_msa.obj : upsampling_msa.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

upsampling_neon.obj : upsampling_neon.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

upsampling_sse2.obj : upsampling_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

upsampling_sse41.obj : upsampling_sse41.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

yuv.obj : yuv.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

yuv_mips32.obj : yuv_mips32.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

yuv_mips_dsp_r2.obj : yuv_mips_dsp_r2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

yuv_neon.obj : yuv_neon.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

yuv_sse2.obj : yuv_sse2.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

yuv_sse41.obj : yuv_sse41.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)


$COPY SYS$INPUT [.SRC.ENC]DESCRIP.MMS
# (c) Alexey Chupahin 05-OCT-2021
# OpenVMS 7.3-2, DEC 2000 mod.300
# OpenVMS 8.3,   Digital PW 600au
# OpenVMS 8.4,   Compaq DS10L
# OpenVMS 8.3,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],[--],WEBP) \
          /DEFINE=(HAVE_CONFIG_H,NDEBUG)\
          /OPTIMIZE=(INLINE=SPEED) 
          

.FIRST
        DEF DEC [-.DEC]
        DEF DEMUX [-.DEMUX]
        DEF DSP [-.DSP]
        DEF ENC [-.ENC]
        DEF MUX [-.MUX]
        DEF UTILS [-.UTILS]
        DEF WEBP [-.WEBP]
	DEF SHARPYUV [--.SHARPYUV]

OBJ=\
alpha_enc.obj,\
analysis_enc.obj,\
backward_references_cost_enc.obj,\
backward_references_enc.obj,\
config_enc.obj,\
cost_enc.obj,\
filter_enc.obj,\
frame_enc.obj,\
histogram_enc.obj,\
iterator_enc.obj,\
near_lossless_enc.obj,\
picture_csp_enc.obj,\
picture_enc.obj,\
picture_psnr_enc.obj,\
picture_rescale_enc.obj,\
picture_tools_enc.obj,\
predictor_enc.obj,\
quant_enc.obj,\
syntax_enc.obj,\
token_enc.obj,\
tree_enc.obj,\
vp8l_enc.obj,\
webp_enc.obj

ALL : $(OBJ)
        $!

alpha_enc.obj : alpha_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

analysis_enc.obj : analysis_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

backward_references_cost_enc.obj : backward_references_cost_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

backward_references_enc.obj : backward_references_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

config_enc.obj : config_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

cost_enc.obj : cost_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

filter_enc.obj : filter_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

frame_enc.obj : frame_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

histogram_enc.obj : histogram_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

iterator_enc.obj : iterator_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

near_lossless_enc.obj : near_lossless_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

picture_csp_enc.obj : picture_csp_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

picture_enc.obj : picture_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

picture_psnr_enc.obj : picture_psnr_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

picture_rescale_enc.obj : picture_rescale_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

picture_tools_enc.obj : picture_tools_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

predictor_enc.obj : predictor_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

quant_enc.obj : quant_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

syntax_enc.obj : syntax_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

token_enc.obj : token_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

tree_enc.obj : tree_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

vp8l_enc.obj : vp8l_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

webp_enc.obj : webp_enc.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)


$COPY SYS$INPUT [.SRC.MUX]DESCRIP.MMS
# (c) Alexey Chupahin 05-OCT-2021
# OpenVMS 7.3-2, DEC 2000 mod.300
# OpenVMS 8.3,   Digital PW 600au
# OpenVMS 8.4,   Compaq DS10L
# OpenVMS 8.3,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],[--],WEBP) \
          /DEFINE=(HAVE_CONFIG_H,NDEBUG,"WebPAnimEncoderOptionsInitInternal"="vms_WebPAnimEncOptInitIntern")\
          /OPTIMIZE=(INLINE=SPEED) 
          

.FIRST
        DEF DEC [-.DEC]
        DEF DEMUX [-.DEMUX]
        DEF DSP [-.DSP]
        DEF ENC [-.ENC]
        DEF MUX [-.MUX]
        DEF UTILS [-.UTILS]
        DEF WEBP [-.WEBP]

OBJ=\
anim_encode.obj,\
muxedit.obj,\
muxinternal.obj,\
muxread.obj

ALL : $(OBJ)
        $!

anim_encode.obj : anim_encode.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

muxedit.obj : muxedit.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

muxinternal.obj : muxinternal.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

muxread.obj : muxread.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

$COPY SYS$INPUT [.SRC.UTILS]DESCRIP.MMS
# (c) Alexey Chupahin 05-OCT-2021
# OpenVMS 7.3-2, DEC 2000 mod.300
# OpenVMS 8.3,   Digital PW 600au
# OpenVMS 8.4,   Compaq DS10L
# OpenVMS 8.3,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],[--],WEBP) \
          /DEFINE=(HAVE_CONFIG_H,NDEBUG)\
          /OPTIMIZE=(INLINE=SPEED) 
          

.FIRST
        DEF DEC [-.DEC]
        DEF DEMUX [-.DEMUX]
        DEF DSP [-.DSP]
        DEF ENC [-.ENC]
        DEF MUX [-.MUX]
        DEF UTILS [-.UTILS]
        DEF WEBP [-.WEBP]

OBJ=\
bit_reader_utils.obj,\
bit_writer_utils.obj,\
color_cache_utils.obj,\
filters_utils.obj,\
huffman_encode_utils.obj,\
huffman_utils.obj,\
quant_levels_dec_utils.obj,\
quant_levels_utils.obj,\
random_utils.obj,\
rescaler_utils.obj,\
thread_utils.obj,\
utils.obj

ALL : $(OBJ)
        $!

bit_reader_utils.obj : bit_reader_utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

bit_writer_utils.obj : bit_writer_utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

color_cache_utils.obj : color_cache_utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

filters_utils.obj : filters_utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

huffman_encode_utils.obj : huffman_encode_utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

huffman_utils.obj : huffman_utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

quant_levels_dec_utils.obj : quant_levels_dec_utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

quant_levels_utils.obj : quant_levels_utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

random_utils.obj : random_utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

rescaler_utils.obj : rescaler_utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

thread_utils.obj : thread_utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

utils.obj : utils.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)


$!
$!
$!
$WRITE SYS$OUTPUT "Creating BUILD.COM"
$OPEN/WRITE OUT BUILD.COM
$ WRITE OUT "$OPEN/WRITE OUTT [.SRC.WEBP]LIBWEBP.OPT"
$ WRITE OUT "$WRITE OUTT ""WEBP:LIBIMAGEIO.OLB/LIB"" "
$ WRITE OUT "$WRITE OUTT ""WEBP:WEBP/LIB"" "
$ WRITE OUT "$WRITE OUTT ""WEBP:SHARPYUV.OLB/LIB"" "
$ WRITE OUT "$CLOSE OUTT"
$ WRITE OUT "$ CURRENT = F$ENVIRONMENT (""DEFAULT"") "
$ WRITE OUT "$TIFF=CURRENT"
$ WRITE OUT "$OPEN/WRITE OUTT LIBWEBP$STARTUP.COM"
$ WRITE OUT "$TIFF[F$LOCATE(""]"",TIFF),10]:="".SRC.WEBP]"""
$ WRITE OUT "$WRITE OUTT ""DEFINE WEBP ","'","'","TIFF'"" "
$ WRITE OUT "$TIFF=CURRENT"
$ WRITE OUT "$CLOSE OUTT"
$ WRITE OUT "$SET DEF [.SRC.DEC]"
$ WRITE OUT "$",MAKE
$ WRITE OUT "$SET DEF [--.SRC.DEMUX]"
$ WRITE OUT "$",MAKE
$ WRITE OUT "$SET DEF [--.SRC.DSP]"
$ WRITE OUT "$",MAKE
$ WRITE OUT "$SET DEF [--.SRC.ENC]"
$ WRITE OUT "$",MAKE
$ WRITE OUT "$SET DEF [--.SRC.MUX]"
$ WRITE OUT "$",MAKE
$ WRITE OUT "$SET DEF [--.SRC.UTILS]"
$ WRITE OUT "$",MAKE
$ WRITE OUT "$SET DEF [--.SRC.WEBP]"
$ WRITE OUT "$LIB/CREA WEBP.OLB [-...]*.OBJ"
$ WRITE OUT "$SET DEF [--.IMAGEIO]"
$ WRITE OUT "$",MAKE
$ WRITE OUT "$SET DEF [-.SHARPYUV]"
$ WRITE OUT "$",MAKE
$ WRITE OUT "$SET DEF [-.EXAMPLES]"
$ WRITE OUT "$",MAKE
$!
$!
$WRITE SYS$OUTPUT "Creating CONFIG.H"
$COPY SYS$INPUT [.SRC.WEBP]CONFIG.H
/* Creating OpenVMS configure procedure */
/* Define if building universal (internal helper macro) */
#undef AC_APPLE_UNIVERSAL_BUILD

/* Set to 1 if __builtin_bswap16 is available */
#undef HAVE_BUILTIN_BSWAP16

/* Set to 1 if __builtin_bswap32 is available */
#undef HAVE_BUILTIN_BSWAP32

/* Set to 1 if __builtin_bswap64 is available */
#undef HAVE_BUILTIN_BSWAP64

/* Define to 1 if you have the <cpu-features.h> header file. */
#undef HAVE_CPU_FEATURES_H

/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define to 1 if you have the <GLUT/glut.h> header file. */
#undef HAVE_GLUT_GLUT_H

/* Define to 1 if you have the <GL/glut.h> header file. */
#undef HAVE_GL_GLUT_H

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1
#include <inttypes.h>

/* Define to 1 if you have the <memory.h> header file. */
#undef HAVE_MEMORY_H

/* Define to 1 if you have the <OpenGL/glut.h> header file. */
#undef HAVE_OPENGL_GLUT_H

/* Have PTHREAD_PRIO_INHERIT. */
#undef HAVE_PTHREAD_PRIO_INHERIT

/* Define to 1 if you have the <shlwapi.h> header file. */
#undef HAVE_SHLWAPI_H

/* Define to 1 if you have the <stdint.h> header file. */
#undef HAVE_STDINT_H

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#undef HAVE_STRING_H

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to 1 if you have the <wincodec.h> header file. */
#undef HAVE_WINCODEC_H

/* Define to 1 if you have the <windows.h> header file. */
#undef HAVE_WINDOWS_H

/* Define to the sub-directory where libtool stores uninstalled libraries. */
#undef LT_OBJDIR

/* Name of package */
#define PACKAGE "libwebp"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME "libwebp"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "libwebp 1.2.1vms"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "libwebp"

/* Define to the home page for this package. */
#define PACKAGE_URL ""

/* Define to the version of this package. */
#define PACKAGE_VERSION "1.2.1"

/* Define to necessary symbol if this constant uses a non-standard name on
   your system. */
#undef PTHREAD_CREATE_JOINABLE

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Version number of package */
#define VERSION "1.2.1"

/* Set to 1 if GIF library is installed */

/* Set to 1 if OpenGL is supported */


/* Set to 1 if JPEG library is installed */

/* Set to 1 if NEON is supported */
#undef WEBP_HAVE_NEON

/* Set to 1 if runtime detection of NEON is enabled */
#undef WEBP_HAVE_NEON_RTCD

/* Set to 1 if PNG library is installed */

/* Set to 1 if SDL library is installed */

/* Set to 1 if SSE2 is supported */
#undef WEBP_HAVE_SSE2

/* Set to 1 if SSE4.1 is supported */
#undef WEBP_HAVE_SSE41

/* Set to 1 if TIFF library is installed */

/* Enable near lossless encoding */
#undef WEBP_NEAR_LOSSLESS

/* Undefine this to disable thread support. */
#define WEBP_USE_THREAD 1

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
#  undef WORDS_BIGENDIAN
# endif
#endif
#define VP8LColorIndexInverseTransformAlpha VMS_VP8LColIInvTransfAlpha
#define WebPAnimDecoderOptionsInitInternal  VMS_WebPAnimDecoderOptInitInt
#define VP8LCollectColorBlueTransforms_C    VMS_VP8LCollectColorBlueTrans_C
#define VP8LSubtractGreenFromBlueAndRed_C   VMS_VP8LSubtrGreenFrBlueRed_C
#define VP8LBackwardReferencesTraceBackwards VMS_VP8LBackwardRefTraceBackw

#ifndef WebPAnimEncoderOptionsInitInternal
#define WebPAnimEncoderOptionsInitInternal  vms_WebPAnimEncOptInitIntern
#endif

#define ExUtilDeleteCommandLineArguments    vms_ExUtilDelCommLineArg

//#define WEBP_HAVE_GL 1
//#define WEBP_HAVE_GIF 1

$IF (HAVE_LIBGIF .EQ. 1)
$  THEN
$  APP SYS$INPUT [.SRC.WEBP]CONFIG.H
#define WEBP_HAVE_GIF 1
$ENDIF
$IF (HAVE_JPEG .EQ. 1)
$  THEN
$  APP SYS$INPUT [.SRC.WEBP]CONFIG.H
#define WEBP_HAVE_JPEG 1
$ENDIF
$IF (HAVE_LIBPNG .EQ. 1)
$  THEN
$  APP SYS$INPUT [.SRC.WEBP]CONFIG.H
#define WEBP_HAVE_PNG 1
$ENDIF
$IF (HAVE_LIBTIFF .EQ. 1)
$  THEN
$  APP SYS$INPUT [.SRC.WEBP]CONFIG.H
#define WEBP_HAVE_TIFF 1
$ENDIF
$IF (HAVE_LIBSDL .EQ. 1)
$  THEN
$  APP SYS$INPUT [.SRC.WEBP]CONFIG.H
#define WEBP_HAVE_SDL 1
$ENDIF
$!
$! Patching sources
$WRITE SYS$OUTPUT "Patching sources:"
$SET DEF [.SRC.DEC]
$@[--.VMS]PATCH_VMS
$SET DEF [-.DEMUX]
$@[--.VMS]PATCH_VMS
$SET DEF [-.DSP]
$@[--.VMS]PATCH_VMS
$SET DEF [-.ENC]
$@[--.VMS]PATCH_VMS
$SET DEF [-.MUX]
$@[--.VMS]PATCH_VMS
$SET DEF [-.UTILS]
$@[--.VMS]PATCH_VMS
$SET DEF [-.WEBP]
$@[--.VMS]PATCH_VMS
$SET DEF [--.IMAGEIO]
$@[-.VMS]PATCH_VMS
$SET DEF [-.SHARPYUV]
$@[-.VMS]PATCH_VMS
$SET DEF [-.SRC.WEBP]
$!
$!Patching webp/types.h
$FILE_TYPES_H = F$SEARCH("types.h;11",3)
$IF ( FILE_TYPES_H .EQS. "" ) 
$ THEN 
$	COPY types.h,SYS$INPUT types.h;11
#define ImgIoUtilCheckSizeArgumentsOverflow VMS_ImgIoUtilCheckSizeArgOver
$ENDIF
$SET DEF [--]
$!
$!   
$ WRITE OUT "$WRITE SYS$OUTPUT "" "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""***************************************************************************** "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""LIBWEBP$STARTUP.COM has been created. "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""This file setups all logicals needed. It should be executed before using LibWEBP "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""Nice place to call it - LOGIN.COM "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""***************************************************************************** "" "
$CLOSE OUT
$!
$!
$!
$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT "Now you can type @BUILD "
$!
$EXIT:
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$DEL TEST.OBJ;*
$DEL TEST.C;*
$DEL TEST.EXE;*
$DEL TEST.OPT;*
$DEAS SYS$ERROR
$DEAS SYS$OUTPUT
$!
